Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# liststore.hh File Reference

A GtkListStore C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gtk/treemodel.hh>`
`#include <xfc/gtk/treesortable.hh>`
`#include <xfc/gtk/treednd.hh>`
`#include <xfc/stackobject.hh>`
`#include <gtk/gtkliststore.h>`
`#include <xfc/gtk/inline/liststore.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreeRowValues
    An object used to set multiple values in a list store row. More...
- class Xfc::Gtk::ListStore
    A GtkListStore C++ wrapper class. More...

## Detailed Description

A GtkListStore C++ wrapper interface.

Provides ListStore, a list model object for use with a TreeView widget.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3